Issue 36476 - com.sun.star.document.FilterFactory contains logical error in its description
com.sun.star.document.FilterFactory contains logical error in its description
Status: CLOSED FIXED
Product: App Dev
Classification: Unclassified
Component: api
OOo 3.3 or older
All All
: P4 trivial
: ---
Assigned To: christianjunker
issues@api
: oooqa
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-01 21:50 UTC by christianjunker
Modified: 2013-02-24 21:09 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description christianjunker 2004-11-01 21:50:20 UTC
The description of the FilterFactory service in the UNO IDL Reference contains
the following section:
[quote]
How it can be distinguished?
The new prosposed implementation will throw an
::com::sun::star::container::NoSuchElementException if the first parameter of
createInstance() or createInstanceWithArguments() does not match to a valid
container (means filter) item. 
Further it will throw an ::com::sun::star::lang::IllegalArgumentException if the
optional parameter "FilterName" could be detected inside the argument list of
call createInstanceWithArguments(). [/quote]
The last sentence is incorrect, "could" must be changed to "could not".
Comment 1 ooo 2004-11-03 11:47:17 UTC
forwarding to responsible developer
Comment 2 andreas.schluens 2004-11-08 11:04:14 UTC
Set target and prio according to the guide lines.
Comment 3 christianjunker 2005-08-02 13:05:03 UTC
assigning to myself. -> cws cyb1
Comment 4 christianjunker 2005-08-02 21:14:56 UTC
fixed in cyb1.
Comment 5 jsc 2005-12-01 13:30:09 UTC
JSC: i have verified this docu changes on cws cyb1

I have adapted the target to OOo3.0 to bring this minor docu fix in the next
release. It would be nice to have it in OOo2.0.2 but the guideliness for product
updates doesn't allow this kind of fixes
Comment 6 jsc 2005-12-02 12:12:30 UTC
new target
Comment 7 ace_dent 2008-05-16 03:28:45 UTC
This Issue is 'Verified' and not updated in 1yr+, so Closing.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~